"""MCE to horimote key mappings."""

from horimote import keys

HORIZON_KEY_MAP = {
    "KEY_UP": keys.DPAD_UP,  # "up"
    "KEY_DOWN": keys.DPAD_DOWN,  # "down"
    "KEY_LEFT": keys.DPAD_LEFT,  # "left"
    "KEY_RIGHT": keys.DPAD_RIGHT,  # "right"
    "KEY_ENTER": keys.OK,  # "select", "number_enter"
    "CTRL_KEY_G": keys.GUIDE,  # "guide"
    "BTN_RIGHT": keys.INFO,  # "info", "mouse_right"
    "CTRL_KEY_O": keys.DVR,  # "recordings"
    "CTRL_KEY_E": keys.ONDEMAND,  # "ondemand", "my_videos", "red"
    "CTRL_KEY_T": keys.TV,  # "live"
    "ALT_META_KEY_ENTER": keys.MENU,  # "menu", # "start"
    "CTRL_SHIFT_KEY_M": keys.TEXT,  # "text", # "dvd"
    # "CTRL_SHIFT_KEY_T": "my_tv", "yellow"
    # "CTRL_KEY_M", "my_music", "blue"
    # "CTRL_KEY_I", "my_pictures", "green"
    "KEY_BACKSPACE": keys.BACK,  # "back"
    "KEY_ESC": keys.BACK,  # "select"
    "KEY_PAGEUP": keys.CHAN_UP,  # "channel_up"
    "KEY_PAGEDOWN": keys.CHAN_DOWN,  # "channel_down"
    "KEY_PLAYPAUSE": keys.PAUSE,  # "play_pause"
    "KEY_STOPCD": keys.STOP,  # "stop"
    "CTRL_KEY_R": keys.RECORD,  # "record"
    "CTRL_SHIFT_KEY_B": keys.RWD,  # "rewind"
    "CTRL_SHIFT_KEY_F": keys.FWD,  # "fast-forward"
    # "KEY_PREVIOUSSONG": "previous-track"
    # "KEY_NEXTSONG": "next-track"
    "KEY_KP0": keys.NUM_0,  # "0"
    "KEY_KP1": keys.NUM_1,  # "1"
    "KEY_KP2": keys.NUM_2,  # "2"
    "KEY_KP3": keys.NUM_3,  # "3"
    "KEY_KP4": keys.NUM_4,  # "4"
    "KEY_KP5": keys.NUM_5,  # "5"
    "KEY_KP6": keys.NUM_6,  # "6"
    "KEY_KP7": keys.NUM_7,  # "7"
    "KEY_KP8": keys.NUM_8,  # "8"
    "KEY_KP9": keys.NUM_9,  # "9"
    "ALT_KEY_F4": keys.POWER,  # "power", "close"
    # "KEY_KPASTERISK": "asterisk", # "period"
    # "BTN_MOUSE": "mouse_left",
    # "KEY_HOMEPAGE": "browser",
    # "KEY_VOLUMEUP": "volume_up",
    # "KEY_VOLUMEDOWN": "volume_down",
    # "KEY_MUTE": "volume_mute",
}
